MaillyDocs

Poll CLI authorization status

POST
/cli/auth/poll

Returns 202 while pending; when approved, returns apiKey and deletes the KV record once; returns 410 when expired.

Request Body

application/json
  1. body
deviceToken*string

32-128 character hexadecimal token generated by the CLI

[key: string]?unknown

Response Body

Approved (returns apiKey)

application/json
  1. response
success*boolean
status?string
apiKey?string
email?string
error?string
[key: string]?unknown
curl -X POST 'https://api.mailly.site/cli/auth/poll' \  -H 'Content-Type: application/json' \  -d '{  "deviceToken": "string",  "property1": null,  "property2": null}'
{  "success": true,  "status": "string",  "apiKey": "string",  "email": "string",  "error": "string",  "property1": null,  "property2": null}